--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: For right-associative infix binary operator. <em>op</em> has to return a Proc that takes two parameters, who are returned by the <em>self</em> parser as operands.
full_name: RParsec::Parser#infixr
is_singleton: false
name: infixr
params: (op)
visibility: public
